# SafeTwitch
SafeTwitch is a privacy respecting frontend for [twitch.tv](https://twitch.tv/)

The main advantages of SafeTwitch are:
 - Private: Every request is proxied through the server, and no logs are kept.
 - Lightweight: Compared to twitch, SafeTwitch is optimized for speed and usability.
 
 </br>

 # Okay, but why?
 It is impossible to use Twitch without being bombarded with tons of ads, multiple trackers, and enourmous page sizes and loading times. This project aims to fix these issues, by removing all trackers, have much smaller page sizes, and very fast loading times.
 
 # Features
 
 ### User features
 - [x] No connection to twitch/amazon
 - [x] Lightweight on server and client
 - [x] No Ads or tracking
 - [x] No outside connections, only connection is the instance
 - [x] Uses [Vue](https://vuejs.org/) for a speedy experience
 - [x] No logs
 - [x] Much smaller pages compared to Twitch (<600kb compared to >8.2mb)
 - [x] Follow streamers locally to have a more personalized feel
 - [x] Infinite scrolling
 
 ### Technical features
 - [x] Public API
 - [x] No official APIs are used
 - [x] No rate limiting
 - [x] Uses a custom Twitch webscraper
 
# Donations
Donations towards development are not accepted. I really thank you for feeling the need to donate, however the best things in life should be free.  

Instead, please donate your money to one of these charities which mean a lot to me.
- [American Foundation for Suicide Prevention](https://afsp.org/)
- [Boys and Girls Club of America](https://www.bgca.org/ways-to-give)